[RTL][Settings] The "Language" section of settings will be enlarged when language is set to Arabic or Urdu

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::Settings
P2
normal
RESOLVED WORKSFORME
4 years ago
3 years ago

People

(Reporter: AdamA, Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)
Bug Flags:
in-moztrap +

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-master affected)

Details

(Whiteboard: [2.2-Daily-Testing])

Attachments

(4 attachments)

(Reporter)

Description

4 years ago
Created attachment 8541004 [details]
logcat

Description:
When the language is set to Arabic or Urdu the "Languages" Section of settings will be taller. This will also make the arrow on the left of the bar to be off center.

Repro Steps:
1) Update a Flame to 20141223010202
2) Go to settings
3) Set language to Arabic
4) View "Language" section in settings

Actual:
The language section of settings is expanded

Expected:
It is expected that the language section of settings is not expanded ot the arrow is moved to be centered

Environmental Variables:
Device: Flame 2.2 (319mb)(Kitkat Base)(Full Flash)
Build ID: 20141223010202
Gaia: c2da2bafd4e809317e2ca70c9bf5c11136a32818
Gecko: 0532f2509f3f
Gonk: a814b2e2dfdda7140cb3a357617dc4fbb1435e76
Version: 37.0a1 (2.2)
Firmware Version: v188-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0

Repro frequency: 5/5
See attached: screenshot, logcat
(Reporter)

Updated

4 years ago
QA Whiteboard: [QAnalyst-Triage?][rtl-impact]
Flags: needinfo?(dharris)
(Reporter)

Comment 1

4 years ago
Created attachment 8541005 [details]
Expanded Arabic
(Reporter)

Comment 2

4 years ago
Created attachment 8541006 [details]
English Comparison
Blocks: 1071891
QA Whiteboard: [QAnalyst-Triage?][rtl-impact] → [QAnalyst-Triage+][rtl-impact]
Flags: needinfo?(dharris)
I don't really have an explanation for why this has happened, probably you've hit an edge case that has been quickly fixed, but as of now, it's no longer occurring.
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → WORKSFORME
This issue is reproducing again in 2.2 and 3.0 

Device: Flame 3.0 (KK - Nightly - Full Flash - 319mem)
Build ID: 20150302010223
Gaia: f34ce82a840ad3c0aed3bfff18517b3f6a0eb37f
Gecko: eea6188b9b05
Gonk: e7c90613521145db090dd24147afd5ceb5703190
Version: 39.0a1 (Master)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:39.0) Gecko/39.0 Firefox/39.0

Device: Flame 2.2 (KK - Nightly - Full Flash - 319mem)
Build ID: 20150302002504
Gaia: 77609916ca5ab721150fab2b7bc5c37f43ee3a5a
Gecko: 27ab8aa34201
Gonk: e7c90613521145db090dd24147afd5ceb5703190
Version: 37.0 
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0
Status: RESOLVED → REOPENED
status-b2g-master: --- → affected
Resolution: WORKSFORME → ---
RTL triage: P2 for visibility but functionality is not affected
Priority: -- → P2
Test case has been added in moztrap:
https://moztrap.mozilla.org/manage/case/15726/
Flags: in-moztrap+
Whiteboard: [2.2-Daily-Testing] → [2.2-Daily-Testing],MGSEI-RTL-3F
QA Whiteboard: [QAnalyst-Triage+][rtl-impact] → [QAnalyst-Triage+][rtl-impact][MGSEI-Triage+]
QA Whiteboard: [QAnalyst-Triage+][rtl-impact][MGSEI-Triage+] → [QAnalyst-Triage+][rtl-impact][MGSEI-Triage+]MGSEI-RTL-3F
Whiteboard: [2.2-Daily-Testing],MGSEI-RTL-3F → [2.2-Daily-Testing]
This issue cannot be reproduced on latest build of FlameKK_v2.2, FlameKK_v2.5, AriesKK_v2.5
Rate:0/5
Device: FlameKK 2.5
Build ID               20150817150206
Gaia Revision          60489c1ff8c5d1633fc4837d4f8019623d4e1940
Gaia Date              2015-08-16 02:21:48
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/9673c75864beafca2f6c8b117b98503128bf2e56
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150817.182933
Firmware Date          Mon Aug 17 18:29:45 EDT 2015
Base Image             v18d v4
Bootloader             L1TC000118D0

Device: FlameKK 2.2
Build ID               20150817032503
Gaia Revision          335cd8e79c20f8d8e93a6efc9b97cc0ec17b5a46
Gaia Date              2015-08-14 19:06:41
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/82ec88fa015c
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150817.065716
Firmware Date          Mon Aug 17 06:57:27 EDT 2015
Base Image             v18d v4
Bootloader             L1TC000118D0

Device: AriesKK_v2.5
Build ID               20150814002719
Gaia Revision          39b121515ab8a8c3ea07f26d3ba1dd792e90217c
Gaia Date              2015-08-13 18:25:42
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/4e883591bb5dff021c108d3e30198a99547eed1e
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150813.235024
Firmware Date          Thu Aug 13 23:50:32 UTC 2015
Bootloader             s1
Status: REOPENED → RESOLVED
Last Resolved: 4 years ago3 years ago
Resolution: --- → WORKSFORME
Created attachment 8649167 [details]
AriesKK_V2.5.png
You need to log in before you can comment on or make changes to this bug.